pcl::device::OctreeIteratorDeviceNS Struct Reference

`#include </build/pcl-rK6aXX/pcl-1.12.1+dfsg/gpu/octree/src/cuda/octree_iterator.hpp>`

## Public Member Functions

__device__ __forceinline__ | OctreeIteratorDeviceNS (const OctreeGlobalWithBox &octree_arg)
__device__ __forceinline__ void | gotoNextLevel (int first, int len)
__device__ __forceinline__ int | operator* () const
__device__ __forceinline__ void | operator++ ()

## Public Attributes

int | level
int | node_idx
int | length
const OctreeGlobalWithBox & | octree

## Detailed Description

Definition at line 88 of file octree_iterator.hpp.

## Constructor & Destructor Documentation

## OctreeIteratorDeviceNS()

__device__ __forceinline__ pcl::device::OctreeIteratorDeviceNS::OctreeIteratorDeviceNS | ( | const OctreeGlobalWithBox & | octree_arg | ) |

inline

Definition at line 95 of file octree_iterator.hpp.

References length, level, and node_idx.

## Member Function Documentation

## gotoNextLevel()

__device__ __forceinline__ void pcl::device::OctreeIteratorDeviceNS::gotoNextLevel | ( | int | first,
|  | int | len
| ) |  |

inline

Definition at line 102 of file octree_iterator.hpp.

References length, level, and node_idx.

## operator*()

__device__ __forceinline__ int pcl::device::OctreeIteratorDeviceNS::operator* | ( |  | ) | const

inline

Definition at line 109 of file octree_iterator.hpp.

References node_idx.

## operator++()

__device__ __forceinline__ void pcl::device::OctreeIteratorDeviceNS::operator++ | ( |  | ) |

inline

Definition at line 114 of file octree_iterator.hpp.

References length, level, node_idx, pcl::device::OctreeGlobal::nodes, octree, and pcl::device::OctreeGlobal::parent.

## Member Data Documentation

## length

int pcl::device::OctreeIteratorDeviceNS::length

Definition at line 92 of file octree_iterator.hpp.

Referenced by gotoNextLevel(), OctreeIteratorDeviceNS(), and operator++().

## level

int pcl::device::OctreeIteratorDeviceNS::level

Definition at line 90 of file octree_iterator.hpp.

Referenced by gotoNextLevel(), OctreeIteratorDeviceNS(), and operator++().

## node_idx

int pcl::device::OctreeIteratorDeviceNS::node_idx

Definition at line 91 of file octree_iterator.hpp.

Referenced by gotoNextLevel(), OctreeIteratorDeviceNS(), operator*(), and operator++().

## octree

const OctreeGlobalWithBox& pcl::device::OctreeIteratorDeviceNS::octree

Definition at line 93 of file octree_iterator.hpp.

Referenced by operator++().

The documentation for this struct was generated from the following file:

- /build/pcl-rK6aXX/pcl-1.12.1+dfsg/gpu/octree/src/cuda/octree_iterator.hpp